/*======================================================================*\
|| #################################################################### ||
|| # vBulletin 3.6.1
|| # ---------------------------------------------------------------- # ||
|| # Copyright 2000-2006 Jelsoft Enterprises Ltd. All Rights Reserved. ||
|| # This file may not be redistributed in whole or significant part. # ||
|| # ---------------- VBULLETIN IS NOT FREE SOFTWARE ---------------- # ||
|| # http://www.vbulletin.com | http://www.vbulletin.com/license.html # ||
|| #################################################################### ||
\*======================================================================*/


/**
* Class to handle resolving zip code to coordinates with AJAX
*
* @param	string	The zip code to resolve
*/
function vB_AJAX_checkUsername(username)
{
	this.username = username;
	this.xml_sender = null;

	var me = this;

	/**
	* Resolves the zip code using AJAX
	*/
	this.resolve = function()
	{
		this.xml_sender = new vB_AJAX_Handler(true);
		this.xml_sender.onreadystatechange(this.onreadystatechange);
	    this.xml_sender.send('misc.php?do=checkusername&username=' + PHP.urlencode(this.username), 'do=checkusername&username=' + PHP.urlencode(this.username));
}

	/**
	* OnReadyStateChange callback. Uses a closure to keep state.
	* Remember to use me instead of this inside this function!
	*/
	this.onreadystatechange = function()
	{
		if (me.xml_sender.handler.readyState == 4 && me.xml_sender.handler.status == 200)
		{
		   
			if (me.xml_sender.handler.responseXML)
			{
		                
		       var xmlDoc = me.xml_sender.handler.responseXML;
		       var username = xmlDoc.documentElement.getElementsByTagName("username");
		       
               var taken = parseFloat(username[0].getAttribute("taken"));
               var datadiv = fetch_object('checkusername');
               var buttonsubmit = document.register.submitregistration;
               var fieldusername = document.register.username; 
               
               if(taken == 1) {
                    var data = phrase_checkusernametaken;
                    datadiv.className = 'checkusernametaken';
                    fieldusername.className = 'checkusernametaken';
                    buttonsubmit.disabled = true;
                }
                if(taken == 0) {
                   var data = phrase_checkusernameok;
                   datadiv.className = 'checkusernameok';
                   fieldusername.className = 'checkusernameok';
                   buttonsubmit.disabled = false;
                }
               datadiv.innerHTML = data;             
             }
		}
	}
}

/**
* Handles input on input field
*/
function checkUsername(value)
{
	var resolver = new vB_AJAX_checkUsername(value);
	resolver.resolve();
	return false;
}

/*======================================================================*\
|| ####################################################################
|| # Custom File...
|| ####################################################################
\*======================================================================*/